cmake_minimum_required(VERSION 3.7)

project(CustomClient)

find_package(DynamoRIO REQUIRED)

add_library(CustomClient SHARED "${CMAKE_CURRENT_SOURCE_DIR}/src/client.c")
target_link_libraries(CustomClient drwrap drmgr)

configure_DynamoRIO_client(CustomClient)
use_DynamoRIO_extension(CustomClient drwrap) 

